--
-- Use "se ts=3 sw=3" in vim!
--
report rep_test(p_report_data)
	define
		p_report_data     record
									str_report_title      varchar(40),
									dt_report             datetime year to second,
									header_code_caption   varchar(15),
									header_name_caption   varchar(60),
									r_country             record
																	 country_code       varchar(15),
																	 country_name       varchar(60)
																 end record,
									r_region              record
																	 region_code        varchar(15),
																	 region_name        varchar(60)
																 end record
								end record

	order external by p_report_data.r_country.country_code,
							p_report_data.r_region.region_code

	format
		on every row
##debug
#display "COUNTRY:", p_report_data.r_country.*
#display "REGION :", p_report_data.r_region.*
##debug
			printx p_report_data.*
end report

--
-- End of file: test0003l.4gl
--
